Subject: Mycolog

From: [email-masked] (David Kraut)
Date: Sun, 12 Mar 1995 08:43:39

Maybe I am out of line here but I was hoping to find out if anyone knows of a 
product called Mycolog.  My main interest is the long term effects of using 
this product.   I have been forced to continually use this product to subdue 
the effects of what several doctors have told me is an allergy.  I have had a 
red rash that developed at the corner of my lips and Mycolog is the only thing 
that will minimize this embarrasing problem.  However I am worried that my 
liver may be taking a long term beating.  Thanks in advance, DAVE.
[email-masked]